package edu.travel.web;
import edu.travel.entity.MtFavoriteSongs;
import edu.travel.service.MtFavoriteSongsServiceImpl;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 歌曲收藏列表(mt_favorite_songs)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/mt_favorite_songs")
public class MtFavoriteSongsController {
/**
* 服务对象
*/
    @Autowired
    private MtFavoriteSongsServiceImpl mtFavoriteSongsServiceImpl;

    /**
    * 通过主键查询单条数据
    *
    * @param id 主键
    * @return 单条数据
    */
    @GetMapping("selectOne")
    public MtFavoriteSongs selectOne(Integer id) {
    return mtFavoriteSongsServiceImpl.selectByPrimaryKey(id);
    }

}
